.TH wxGridEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGridEvent \- See external documentation: wxGridEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxGridEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIgrid_cell_left_click\fR, \fIgrid_cell_right_click\fR, \fIgrid_cell_left_dclick\fR, \fIgrid_cell_right_dclick\fR, \fIgrid_label_left_click\fR, \fIgrid_label_right_click\fR, \fIgrid_label_left_dclick\fR, \fIgrid_label_right_dclick\fR, \fIgrid_row_size\fR, \fIgrid_col_size\fR, \fIgrid_range_select\fR, \fIgrid_cell_change\fR, \fIgrid_select_cell\fR, \fIgrid_editor_shown\fR, \fIgrid_editor_hidden\fR, \fIgrid_editor_created\fR, \fIgrid_cell_begin_drag\fR
.RE
.LP
See also the message variant #wxGrid{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxNotifyEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGridEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
altDown(This::wxGridEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventaltdown>\&.
.RE
.LP
.B
controlDown(This::wxGridEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventcontroldown>\&.
.RE
.LP
.B
getCol(This::wxGridEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventgetcol>\&.
.RE
.LP
.B
getPosition(This::wxGridEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventgetposition>\&.
.RE
.LP
.B
getRow(This::wxGridEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventgetrow>\&.
.RE
.LP
.B
metaDown(This::wxGridEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventmetadown>\&.
.RE
.LP
.B
selecting(This::wxGridEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventselecting>\&.
.RE
.LP
.B
shiftDown(This::wxGridEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridevent\&.html#wxgrideventshiftdown>\&.
.RE
